Loading...
Searching...
No Matches
L4virtio::Svr::Dev_status Struct Reference

Type of the device status register. More...

`#include <virtio>`

Collaboration diagram for L4virtio::Svr::Dev_status:

## Public Member Functions

| Dev_status (l4_uint32_t v)
| Make Status from raw value.
bool | running () const
| Check if the device is in running state.

## Data Fields

unsigned char | raw
| Raw value of the VIRTIO device status register.
typedef cxx::Bitfield< decltype(raw), 0, 0 > | acked_bfm_t
| Type to access the acked bits (0 to 0) of raw.
constexpr acked_bfm_t::Val | acked () const
| Get the acked bits (0 to 0) of raw.
constexpr acked_bfm_t::Ref | acked ()
| Get a reference to the acked bits (0 to 0) of raw.
typedef cxx::Bitfield< decltype(raw), 1, 1 > | driver_bfm_t
| Type to access the driver bits (1 to 1) of raw.
constexpr driver_bfm_t::Val | driver () const
| Get the driver bits (1 to 1) of raw.
constexpr driver_bfm_t::Ref | driver ()
| Get a reference to the driver bits (1 to 1) of raw.
typedef cxx::Bitfield< decltype(raw), 2, 2 > | driver_ok_bfm_t
| Type to access the driver_ok bits (2 to 2) of raw.
constexpr driver_ok_bfm_t::Val | driver_ok () const
| Get the driver_ok bits (2 to 2) of raw.
constexpr driver_ok_bfm_t::Ref | driver_ok ()
| Get a reference to the driver_ok bits (2 to 2) of raw.
typedef cxx::Bitfield< decltype(raw), 3, 3 > | features_ok_bfm_t
| Type to access the features_ok bits (3 to 3) of raw.
constexpr features_ok_bfm_t::Val | features_ok () const
| Get the features_ok bits (3 to 3) of raw.
constexpr features_ok_bfm_t::Ref | features_ok ()
| Get a reference to the features_ok bits (3 to 3) of raw.
typedef cxx::Bitfield< decltype(raw), 6, 7 > | fail_state_bfm_t
| Type to access the fail_state bits (6 to 7) of raw.
constexpr fail_state_bfm_t::Val | fail_state () const
| Get the fail_state bits (6 to 7) of raw.
constexpr fail_state_bfm_t::Ref | fail_state ()
| Get a reference to the fail_state bits (6 to 7) of raw.
typedef cxx::Bitfield< decltype(raw), 6, 6 > | device_needs_reset_bfm_t
| Type to access the device_needs_reset bits (6 to 6) of raw.
constexpr device_needs_reset_bfm_t::Val | device_needs_reset () const
| Get the device_needs_reset bits (6 to 6) of raw.
constexpr device_needs_reset_bfm_t::Ref | device_needs_reset ()
| Get a reference to the device_needs_reset bits (6 to 6) of raw.
typedef cxx::Bitfield< decltype(raw), 7, 7 > | failed_bfm_t
| Type to access the failed bits (7 to 7) of raw.
constexpr failed_bfm_t::Val | failed () const
| Get the failed bits (7 to 7) of raw.
constexpr failed_bfm_t::Ref | failed ()
| Get a reference to the failed bits (7 to 7) of raw.

## Detailed Description

Type of the device status register.

Definition at line 32 of file virtio.

## Member Function Documentation

## running()

bool L4virtio::Svr::Dev_status::running | ( |  | ) | const

inline

Check if the device is in running state.

Returns
  true if the device is in running state.

The device is in running state when acked(), driver(), features_ok(), and driver_ok() return true, and device_needs_reset() and failed() return false.

Definition at line 57 of file virtio.

References raw.

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio